• 0
mathewg

petalinux 2019.2 arty-z7-20

Question

Posted (edited)

I'm  trying to build a petalinux 2019.2 image for the arty-z7-20. The hardware component being used here is the xsa example kindly provided by artvvb in the link/image below



I  created a new zynq templated petalinux project and manually entered configurations via petalinux-config using the file here

https://github.com/Digilent/Petalinux-Arty-Z7-20/blob/v2017.4-1/Arty-Z7-20/project-spec/configs/config

as a reference. (the petalinux project repo in the link above builds and run as expected on petalinux 2017.4)

When I run petalinux build with 2019.2 I get an md5 checksum / license error described in the attached log file.  I suspect it's from this petalinux configuration here
https://github.com/Digilent/Petalinux-Arty-Z7-20/blob/16a8ed68d2ebf4b6c6441f91790cb6253c3ad4a4/Arty-Z7-20/project-spec/configs/config#L21

which points to this repo here

https://github.com/Digilent/u-boot-Digilent
 

which doesn't have a a 2019.2 u-boot version.  Any insights on how to navigate this would be great!

 

-M

 

Edited by mathewg

Share this post


Link to post
Share on other sites

1 answer to this question

Recommended Posts

  • 0

Turns out that artvvb's xsa file provided sufficiently good defaults to build a working petalinux 2019.2 image with no petalinux-config modifications.  

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now